import request from "@/utils/request"

/** 共同富裕成果 — 分页列表 */
export function listCommonProsperityAchievement(query) {
  return request({
    url: "/commonProsperity/achievement/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getCommonProsperityAchievement(id) {
  return request({
    url: "/commonProsperity/achievement/" + id,
    method: "get"
  })
}

/** 新增 */
export function addCommonProsperityAchievement(data) {
  return request({
    url: "/commonProsperity/achievement",
    method: "post",
    data
  })
}

/** 修改 */
export function updateCommonProsperityAchievement(data) {
  return request({
    url: "/commonProsperity/achievement",
    method: "put",
    data
  })
}

/** 删除 */
export function delCommonProsperityAchievement(ids) {
  return request({
    url: "/commonProsperity/achievement/" + ids,
    method: "delete"
  })
}
